Subject: Re: bug#23587: 24.5; Emacs window clips to half its size in xmonad

From: Christian Gogolin <[email-masked]>
Date: Sun, 22 May 2016 19:25:43 +0200

On Sat, 2016-05-21 at 10:22 +0300, Eli Zaretskii wrote:
> > 
> > From: Christian Gogolin <[email-masked]>
> > Cc: [email-masked]
> > Date: Fri, 20 May 2016 18:21:15 +0200
> > 
> > I just found out what is causing the problem:
> > 
> > In my .xinitrc I am doing the two following exports
> > 
> > export GDK_SCALE=2
> > export GDK_DPI_SCALE=0.5
> > 
> > to make icons in GTK applications reasonably large on my HiDPI
> > screen.
> If that's the problem, I'd definitely urge you to try the latest
> pretest, since AFAIK some of these problems are supposed to be solved
> there (as part of handling bug#20432 you mention).

I just tried and and the problem seems to be resolved in emacs-25.0.94.

> > 
> > Without these exports, or by starting Emacs explicitly overwriting
> > these values
> > 
> > $ export GDK_SCALE=1; export GDK_DPI_SCALE=1; emacs
> Why do you need the "export" parts?  Isn't the following enough?

Export is not necessary. Just

GDK_SCALE=1; GDK_DPI_SCALE=1; emacs

works equally well.

> 
>  $ GDK_SCALE=1 GDK_DPI_SCALE=1 emacs
> 
> > 
> > I guess that in the long run this behaviour will have to be fixed,
> > for
> > now I can live with the workaround above.
> I think it might already be fixed, please try the latest pretest, or
> build from the emacs-25 branch of the Emacs repository.
> 
> In any case, I added to PROBLEMS the description of this and the
> workaround.
> 
> Thanks.

Thank you!